@import url('https://fonts.googleapis.com/css2?family=Alegreya+SC:ital,wght@0,400;0,500;1,400;1,500&family=Playfair+Display:ital@0;1&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Poppins';
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* max-width: 1700px; */
  width: 100%;
  position: relative;
  z-index: 3;
  padding: 0px 24px;
}

#logo {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 100px;
  width: 100%;
  padding-left: 24px;
}

.mini-nav {
  max-width: 900px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 24px;
}

a {
  text-decoration: none;
  color: #000;
}

#contact {
  padding: 12px 20px;
  color: #fff;
  background-color: rgb(235, 110, 44, 100%);
  border-radius: 10px;
  cursor: pointer;
}

#contact:hover {
  transform: scaleX(99%);
}

#bars {
  display: none;
  cursor: pointer;
}

#list {
  /* max-width: 90px; */
  width: 100px;
  display: flex;
  justify-content: center;
  align-self: center;
  /* align-items: center; */
  list-style: none;
  border: none;
}

.flagSpan {
  display: flex;
  justify-content: center;
  align-self: center;
  border: none;
}

.select2-container--default .select2-selection--single {
  border: none;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow
  b {
  border-color: #5d5c5c transparent transparent transparent;
  border-style: solid;
  border-width: 5px 4px 0 4px;
  height: 0;
  left: 50%;
  margin-left: -4px;
  margin-top: -2px;
  position: absolute;
  top: 50%;
  width: 0;
}

.select2-search--dropdown .select2-search__field {
  padding: 4px;
  width: 100%;
  box-sizing: border-box;
  display: none;
}

.select2-container--default
  .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #f0f0f0;
  color: #615348;
  border-radius: 8px;
  /* padding: 10px 0px; */
  /* width: 90px; */
}

.select2-container--default .select2-results__option--selected {
  background-color: #fff;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  color: #615348;
  line-height: 28px;
}

.select2-results__options {
  list-style: none;
  margin: 0;
  padding: 5px;
  border: none;
}

.select2-dropdown {
  background-color: white;
  border: 1px solid #fff;
  border-radius: 4px;
  box-sizing: border-box;
  display: block;
  position: absolute;
  left: -100000px;
  width: 100%;
  z-index: 3000 !important;
  /* z-index: 1051; */
}

.main {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: linear-gradient(
    to top,
    rgba(246, 244, 243, 1) 7%,
    rgba(246, 244, 243, 0.53) 32%,
    rgba(255, 179, 139, 0.29) 68%,
    rgba(235, 110, 44, 0.28) 100%
  );
}

.video-wrapper {
  padding: 50px 24px;
  box-sizing: border-box;
  z-index: 1;
}

.video-wrapper video {
  max-width: 850px;
  width: 100%;
  border-radius: 15px;
  margin: 50px 0px;
  display: block;
}

#p1 {
  font-family: inherit;
  font-size: 48px;
  font-weight: bold;
  font-style: normal;
  max-width: 570px;
  width: 100%;
  line-height: 58px;
}

#p2 {
  color: #615348;
  font-family: inherit;
  font-size: 20px;
  max-width: 570px;
  width: 100%;
}

.text {
  max-width: 800px;
  width: 100%;
  /* height: 100vh; */
  /* display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center; */
  z-index: 1;
  position: relative;
}

#playBtn {
  display: flex;
  align-items: center;
  justify-content: left;
  margin-top: 60px;
  max-width: 570px;
  width: 100%;
  height: 66px;
  /* padding: 0px 15px; */
  gap: 20px;
}

/* #playStore {
  margin-right: 20px;
} */

#particles-js {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}

.particles-js-canvas-el {
  width: 100%;
  height: 100%;
}

#main-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 50px;
  padding: 24px 24px;
}

.mobile {
  display: flex;
  justify-content: center;
  align-items: center;
  /* max-width: 500px; */
  width: 100%;
  /* height: 100vh; */
  z-index: 1;
}

@media (min-width: 1250px) {
  .mini-nav {
    max-width: 700px;
  }

  #main-container {
    margin: 50px 10px 30px 10px;
  }

  .video-wrapper video {
    max-width: 950px;
    width: 100%;
  }
}

@media (max-width: 1250px) {
  .mini-nav {
    max-width: 700px;
    width: 100%;
  }

  #p1 {
    font-size: 45px;
    max-width: 500px;
  }

  #p2 {
    font-size: 20px;
    max-width: 400px;
  }

  .text {
    max-width: 800px;
    width: 100%;
    /* height: 100vh; */
  }

  #playBtn {
    margin-top: 60px;
    max-width: 400px;
    width: 100%;
    height: 66px;
  }

  #mobile {
    max-width: 500px;
    width: 100%;
    z-index: 1;
  }
}

@media (max-width: 1070px) {
  .mini-nav {
    max-width: 500px;
    width: 100%;
  }

  #mobile {
    /* max-width: 50px; */
    width: 100%;
  }

  #p1 {
    font-size: 45px;
    /* max-width: 600px; */
  }
}

@media (max-width: 900px) {
  .navbar {
    height: 8vh;
    padding: 0px 24px;
  }

  .mini-nav {
    display: none;
  }

  #bars {
    display: flex;
    width: 20px;
    height: 32px;
    margin-right: 24px;
  }

  #main-container {
    flex-direction: column;
  }

  .text {
    max-width: 800px;
    width: 100%;
    /* height: 40vh; */
  }

  #p1 {
    font-size: 48px;
    max-width: 550px;
    width: 100%;
  }

  #p2 {
    font-size: 18px;
    max-width: 550px;
    width: 100%;
  }

  #playBtn {
    margin-top: 60px;
    max-width: 550px;
    width: 100%;
    height: 66px;
  }

  #mobile {
    max-width: 500px;
    width: 100%;
    z-index: 1;
  }

  .select2-container--default .select2-selection--single {
    background-color: #fff;
    border-radius: 6px;
    min-height: 40px;
    height: auto;
    width: 100%;
    display: flex;
    align-items: center;
    font-family: 'Poppins', sans-serif;
    z-index: 3;
  }

  .select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    color: #333;
    font-size: 14px;
    font-weight: 500;
    line-height: 26px;
  }

  .select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 100%;
  }

  .select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
  }

  .select2-dropdown {
    z-index: 3000 !important;
    position: absolute;
  }

  .select2-container {
    z-index: 2000;
    position: relative;
  }
}

@media (max-width: 790px) {
  .mini-nav {
    display: none;
  }

  .text {
    max-width: 800px;
    width: 100%;
    /* height: 40vh; */
  }

  #p1 {
    font-size: 48px;
    max-width: 550px;
    width: 100%;
    line-height: 58px;
  }

  #p2 {
    font-size: 18px;
    max-width: 550px;
    width: 100%;
  }

  #playBtn {
    margin-top: 60px;
    max-width: 550px;
    width: 100%;
    height: 66px;
  }

  #mobile {
    max-width: 500px;
    width: 100%;
    z-index: 1;
  }

  .video-wrapper video {
    max-width: 650px;
    width: 100%;
    margin: 50px 0px;
  }
}

@media (max-width: 600px) {
  #bars {
    display: flex;
    width: 20px;
    height: 32px;
    margin-right: 24px;
  }

  .text {
    max-width: 500px;
    width: 100%;
  }

  #p1 {
    font-size: 36px;
    max-width: 500px;
    width: 100%;
    line-height: 38px;
  }

  #p2 {
    font-size: 16px;
    max-width: 500px;
    width: 100%;
  }

  #playBtn {
    margin-top: 60px;
    /* width: 500px; */
    height: 66px;
  }

  #mobile {
    max-width: 500px;
    width: 100%;
    z-index: 1;
  }

  .video-wrapper {
    width: 400px;
    height: 600px;
    overflow: hidden;
    border-radius: 15px;
    margin: 50px 0px;
    padding: 0px;
  }

  .video-wrapper video {
    width: 100%;
    height: -webkit-fill-available;
    object-fit: cover;
    object-position: center;
    display: block;
    /* margin: 50px 0px; */
  }
}

@media (max-width: 540px) {
  #bars {
    display: flex;
    width: 20px;
    height: 32px;
    margin-right: 24px;
  }

  .mobile {
    max-width: 600px;
    width: 100%;
    z-index: 1;
  }

  .text {
    max-width: 700px;
    width: 100%;
  }

  #p1 {
    font-size: 36px;
    max-width: 500px;
    width: 100%;
    line-height: 38px;
    margin-left: 10px;
  }

  #p2 {
    font-size: 16px;
    max-width: 500px;
    width: 100%;
    margin-left: 10px;
  }

  #playBtn {
    margin-top: 60px;
    height: 66px;
    margin-left: 10px;
  }

  #mobile {
    width: 100%;
    z-index: 1;
  }
}

@media (max-width: 490px) {
  .particles-js-canvas-el {
    width: 0%;
    height: 100%;
  }

  .main {
    max-width: 1700px;
    width: 100%;
    height: auto;
    background: linear-gradient(
      to top,
      rgba(246, 244, 243, 1) 7%,
      rgba(246, 244, 243, 0.53) 32%,
      rgba(255, 179, 139, 0.29) 68%,
      rgba(235, 110, 44, 0.28) 100%
    );
  }

  .text {
    max-width: 400px;
    width: 100%;
  }

  #playBtn {
    margin-top: 60px;
    width: 100%;
    height: 66px;
    gap: 20px;
  }

  #playStore {
    width: 160px;
  }

  #appleStore {
    width: 160px;
  }

  #p1 {
    font-size: 34px;
    max-width: 400px;
    width: 100%;
    line-height: 38px;
  }

  #p2 {
    font-size: 16px;
    max-width: 400px;
    width: 100%;
  }

  #mobile {
    max-width: 450px;
    width: 100%;
    z-index: 1;
  }

  .video-wrapper {
    width: 350px;
    height: 550px;
    padding: 0px;
  }
}

@media (max-width: 400px) {
  .particles-js-canvas-el {
    width: 0%;
    height: 100%;
  }

  .main {
    max-width: 1700px;
    width: 100%;
  }

  .text {
    max-width: 600px;
    width: 100%;
  }

  #playBtn {
    margin-top: 40px;
    max-width: 350px;
    gap: 20px;
    width: 100%;
  }

  #playStore {
    width: 150px;
  }

  #appleStore {
    width: 150px;
  }

  #p1 {
    font-size: 32px;
    max-width: 350px;
    width: 100%;
    line-height: 38px;
  }

  #p2 {
    font-size: 14px;
    max-width: 350px;
    width: 100%;
  }

  #mobile {
    max-width: 350px;
    width: 100%;
    z-index: 1;
  }
}
